#ifndef _UIC_PIC_REND_H_
#define _UIC_PIC_REND_H_

#include <gio/gio.h>

typedef struct _uic_pixbuf uic_pixbuf;

uic_pixbuf *uic_pixbuf_new(gint bits_per_sample, gint width, gint height);

uic_pixbuf *uic_pixbuf_new_from_file(const gchar *path);

uic_pixbuf *uic_pixbuf_new_from_buffer(const gchar *buf, gint bits_per_sample, gint width, gint height, gint rowstride);


gint uic_pixbuf_get_width(const uic_pixbuf *src);

gint uic_pixbuf_get_height(const uic_pixbuf *src);

gint uic_pixbuf_get_bits_per_sample(const uic_pixbuf *src);

gint uic_pixbuf_get_rowstride(const uic_pixbuf *src);

gint uic_pixbuf_get_buffer_size(const uic_pixbuf *src);


uic_pixbuf *uic_pixbuf_copy(const uic_pixbuf *src);

void uic_pixbuf_resize(uic_pixbuf *dst, const uic_pixbuf *src, gint dst_width, gint dst_height);

void uic_pixbuf_cut_area(uic_pixbuf *dst, const uic_pixbuf *src, gint x, gint y, gint width, gint height);


/* type can be"jpeg", "png", "tiff", "ico" or "bmp". */
gint uic_pixbuf_save_to_file(const uic_pixbuf *pb, const gchar *path, const gchar *type);

gint uic_pixbuf_save_to_buffer(const uic_pixbuf *pb, gchar *buf);

void uic_pixbuf_delete(uic_pixbuf *pb);

#endif

